/**
 * @license Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.md or http://ckeditor.com/license
 */


CKEDITOR.editorConfig = function (config) {
    // Define changes to default configuration here.
    // For complete reference see:
    // http://docs.ckeditor.com/#!/api/CKEDITOR.config

    // The toolbar groups arrangement, optimized for two toolbar rows.
    config.toolbar = [
		{ name: 'clipboard', items: [ 'Cut', 'Copy', 'Paste', 'PasteText', 'PasteFromWord', '-', 'Undo', 'Redo' ] },
		{ name: 'editing', items: [ 'Scayt' ] },
		{ name: 'links', items: [ 'Link', 'Unlink', 'Anchor' ] },
		{ name: 'insert', items: [ 'Image', 'Table', 'HorizontalRule', 'SpecialChar' ] },
		{ name: 'tools', items: [ 'Maximize'] },
		'/',
		{ name: 'basicstyles', items: [ 'Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat' ] },
		{ name: 'paragraph', items: [ 'NumberedList', 'BulletedList', '-', 'Outdent', 'Indent', '-', 'Blockquote', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock' ] },
		'/',
		{ name: 'styles', items: [ 'Styles', 'Format', 'Font', 'FontSize' ] },
		{ name: 'colors', items: [ 'TextColor', 'BGColor' ] },
		{ name: 'document', items: [ 'Source'] },
        { name: 'mode' }
	];

    config.extraPlugins = 'scayt,justify,font,colorbutton,sourcearea,menu,menubutton';
    config.scayt_autoStartup = true;
    config.allowedContent = true; //do not filter the html (iframes, inline attributes, classes, etc)

    // Remove some buttons provided by the standard plugins, which are
    // not needed in the Standard(s) toolbar.
    //config.removeButtons = 'Underline,Subscript,Superscript';

    // Set the most common block elements.
    //config.format_tags = 'p;h1;h2;h3;pre';

    // Simplify the dialog windows.
    //config.removeDialogTabs = 'image:advanced;link:advanced';

    //number of spaces to add when tab is hit
    config.tabSpaces = 4; //this currently removes the TAB/SHIFT+TAB behavior from table cells (not sure if there's a work-around for that - the old editor behaves similarly so I think we're ok)

    //use a <br> instead of <p> while hitting the ENTER key
    //http://stackoverflow.com/a/8098960/556142
    config.enterMode = CKEDITOR.ENTER_BR;
    config.shiftEnterMode = CKEDITOR.ENTER_P; //we'll swap the behavior and have SHIFT+ENTER be double spacing

    //http://docs.ckeditor.com/#!/api/CKEDITOR.config-cfg-pasteFromWordCleanupFile
    config.pasteFromWordPromptCleanup = true;
    config.pasteFromWordCleanupFile = '/jquery/ckeditor/plugins/pastefromword/filter/default.js'; //we can't bundle the pastefromword plugin it gets added here
    config.pasteFromWordRemoveFontStyles = false;
    config.pasteFromWordNumberedHeadingToList = true;
    config.pasteFromWordRemoveStyles = true;

    config.toolbarLocation = "bottom";
};
